Opened 4 years ago

Closed 4 years ago

#59514 closed defect (fixed)

icu @65.1 does not build on PPC Leopard, Mac OS X 10.5.8, because "No rule to make target `out', needed by `out/icudt65b.dat'"

Reported by: ballapete (Peter "Pete" Dyballa) Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: leopard Cc: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Port: icu

Description (last modified by ballapete (Peter "Pete" Dyballa))

/usr/bin/gnumake[1]: Making `all' in `escapesrc'
gnumake[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/tools/escapesrc'
/opt/local/bin/g++-mp-7 -DU_ATTRIBUTE_DEPRECATED= -DU_HAVE_STRTOD_L=1 -DU_HAVE_XLOCALE_H=1 -I../../common -I./../toolutil -O2 -pipe -Os -D_GLIBCXX_USE_CXX11_ABI=0 -arch ppc -W -Wall -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long -std=c++11 -fno-common -c -MMD -MT "escapesrc.d escapesrc.o escapesrc.ao" -o escapesrc.o escapesrc.cpp
/opt/local/bin/g++-mp-7 -O2 -pipe -Os -D_GLIBCXX_USE_CXX11_ABI=0 -arch ppc -W -Wall -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long -std=c++11   -arch ppc   -o ../../bin/escapesrc escapesrc.o -lpthread -lm  
gnumake[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/tools/escapesrc'
gnumake[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/tools'
gnumake[2]: Nothing to be done for `all-local'.
gnumake[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/tools'
gnumake[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/tools'
/usr/bin/gnumake[0]: Making `all' in `data'
gnumake[1]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/data'
/usr/bin/gnumake -f pkgdataMakefile
gnumake[2]: Entering directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/data'
rm -rf icupkg.inc
gnumake[2]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/data'
gnumake[1]: *** No rule to make target `out', needed by `out/icudt65b.dat'.  Stop.
gnumake[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source/data'
gnumake: *** [all-recursive] Error 2
gnumake: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source'
Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_nue.de.rsync.macports.org_macports_release_tarballs_ports_devel_icu/icu/work/icu/source" && /usr/bin/gnumake -w all VERBOSE=1 
Exit code: 2

icu/source/data/Makefile says:

# Build icudata.jar:
# - add the uni-core-data to the ICU package
# - swap the ICU data
# - extract all data items
# - package them into the .jar file
# TODO(ICU-20466): Move this to Python
# NOTE: If you get the error "No rule to make target 'out/build/icudt64l/uprops.icu'",
# you need to reconfigure with unicore data.  See icu4j-readme.txt

out OTOH seems to be a directory in icu/source/data which already has an in directory. It is just not built…

Attachments (2)

main.log (497.1 KB) - added by ballapete (Peter "Pete" Dyballa) 4 years ago.
Main.log from PPC Leopard
data_OUTDIR.patch (287 bytes) - added by ballapete (Peter "Pete" Dyballa) 4 years ago.
Patch file to allow icu build on PPC Leopard, Mac OS X 10.5.8

Download all attachments as: .zip

Change History (14)

Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

Attachment: main.log added

Main.log from PPC Leopard

comment:1 Changed 4 years ago by kencu (Ken)

I saw that same error several times as well, and then, after another sudo port sync, I got it to build.

$ port -v installed icu
The following ports are currently installed:
  icu @55.1_0 platform='darwin 8' archs='ppc' date='2016-07-20T18:57:38-0700'
  icu @58.2_0 platform='darwin 8' archs='ppc' date='2017-04-14T11:09:01-0700'
  icu @58.2_1 platform='darwin 8' archs='ppc' date='2017-08-12T12:32:47-0700'
  icu @58.2_2 platform='darwin 8' archs='ppc' date='2017-11-04T11:15:48-0700'
  icu @65.1_0 (active) platform='darwin 8' archs='ppc' date='2019-10-20T15:57:20-0700'

I didn't change anything in the portfile, I believe, to make it build, so perhaps try again.

It might also be a parallel building thing -- I've been seeing a lot of issues lately that seem to be related to parallel building on Tiger and Leopard, and so I set my build jobs to 1 in macports.conf on those systems.

I have not prospected why that is occurring, and I most certainly had no intention of posting up a ticket about it until I had it all sorted out, but in the meantime, you might find it helpful to try disabling parallel building as an experiment.

comment:2 Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

I too saw different errors before and ran a selfupdate, which gave this error that I reported because a lot of ports depend on icu.

Hmm, how can a single core single thread processor like the PPC 7447A have a problem with parallel building?

comment:3 Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

Description: modified (diff)

comment:4 in reply to:  2 ; Changed 4 years ago by kencu (Ken)

Replying to ballapete:

Hmm, how can a single core single thread processor like the PPC 7447A have a problem with parallel building?

Yes, well, you got me there, didn't you :>

I suppose if there is only one core, then parallel building could not be a problem.

comment:5 Changed 4 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… removed

comment:6 in reply to:  4 Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

Replying to kencu:

And my next build, with buildmakejobs 1, show the same result, that which I reported.

comment:7 Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

This little patch allows icu to build!

Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

Attachment: data_OUTDIR.patch added

Patch file to allow icu build on PPC Leopard, Mac OS X 10.5.8

comment:8 Changed 4 years ago by kencu (Ken)

that does work, thanks. I'm not exactly sure how I built this before.

comment:9 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

This issue seems to have shown up on other systems.

Although it is probably something upstream should fix, there is a pull request that attempts to work around the issue.

comment:10 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: MarcusCalhoun-Lopez added

comment:11 in reply to:  8 Changed 4 years ago by ballapete (Peter "Pete" Dyballa)

Replying to kencu:

that does work, thanks. I'm not exactly sure how I built this before.

'mkdir out'? Or: '+ o u t RET' in dired-mode in GNU Emacs?

comment:12 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Owner: set to MarcusCalhoun-Lopez
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.